<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('assessment_pengembangan', function (Blueprint $table) {
            $table->text('hasil_penilaian_kompetensi')->nullable()->after('catatan_pengembangan_karier');
            $table->text('sejarah_karier')->nullable()->after('hasil_penilaian_kompetensi');
            $table->text('hasil_penilaian_kinerja')->nullable()->after('sejarah_karier');
            $table->text('perencanaan_suksesi')->nullable()->after('hasil_penilaian_kinerja');
        });
    }

    public function down(): void
    {
        Schema::table('assessment_pengembangan', function (Blueprint $table) {
            $table->dropColumn([
                'hasil_penilaian_kompetensi',
                'sejarah_karier',
                'hasil_penilaian_kinerja',
                'perencanaan_suksesi',
            ]);
        });
    }
};
